Send a sample webhook
curl --request POST \
--url https://api.byblend.com/api/v1/notifications/sample \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_code": "order.shipped.SAMPLE",
"webhook_url": "https://example.com/webhook"
}
'import requests
url = "https://api.byblend.com/api/v1/notifications/sample"
payload = {
"event_code": "order.shipped.SAMPLE",
"webhook_url": "https://example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({event_code: 'order.shipped.SAMPLE', webhook_url: 'https://example.com/webhook'})
};
fetch('https://api.byblend.com/api/v1/notifications/sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_code": "order.shipped.SAMPLE",
"payload_preview": {
"carrier": "USPS",
"created_at": "2025-07-31T17:13:13.520283",
"external_id": "my-id-128318AA2",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"order_number": "ORD250312003548IAU4",
"shipped_at": "2025-07-31T17:13:13.520304",
"service_level": "Ground Advantage",
"status": "shipped",
"tracking_number": "9200190347375200504724",
"tracking_url": "https://tools.usps.com/go/TrackConfirmAction_input?origTrackNum=9200190347375200504724",
"updated_at": "2025-07-31T17:13:13.520304"
},
"message": "Sample webhook sent successfully",
"webhook_url": "https://example.com/webhook"
}Notifications
Send a sample webhook
Send a sample webhook for testing integrations. This will include the webhook secret in the Authorization header if a secret has been set. Data in this example is illustrative only.
POST
/
api
/
v1
/
notifications
/
sample
Send a sample webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Successful response with sample webhook details
⌘I